Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358874 - lklug fonts displayed as nonfree
Summary: lklug fonts displayed as nonfree
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 16:35 UTC by Michael Catanzaro
Modified: 2017-08-08 15:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:46:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 769986 None None None 2016-08-16 13:57:51 UTC

Description Michael Catanzaro 2016-07-21 16:35:57 UTC
Description of problem: On a fresh install of Fedora, I expect no nonfree software to be installed. Unfortunately Lklug fonts are installed by default but presented as nonfree and 3rd party in GNOME Software.


Version-Release number of selected component (if applicable): 0.6-14.20090803cvs.fc24


How reproducible: Always


Steps to Reproduce:
1. Open software center

Actual results: Lklug fonts presented as 3rd party, nonfree


Expected results: Lklug fonts not labeled as 3rd party or nonfree


Additional info: You need to add a license tag to lklug.metainfo.xml. Right now it contains only a license for the metadata. If you don't include a license for the software itself, it gets labeled as nonfree.

Comment 1 Parag Nemade 2016-07-21 16:54:09 UTC
Michael,
   Do you have example how to add it? I think the last and first time metainfo added to fonts packages, we followed guidelines that were present at that time and then there was no initiative to update it in Fedora packages.

Comment 2 Michael Catanzaro 2016-07-21 19:07:18 UTC
Um, good question. Richard on IRC suggested that we just need to add the project_license tag to the metainfo, but that can't be right as I've checked several other font packages, and none of them use this tag. In fact lklug's metadinfo file looks identical to that of other popular fonts.

However, I missed one thing: lklug is actually the *only* font package that's displayed on the Installed page in Software.

So I don't see what lklug can do. Moving this to Software for investigation.

Comment 3 Richard Hughes 2016-07-22 14:02:50 UTC
So the best thing to do would be to add the <project_license> tag with a valid SPDX ID, but that really shouldn't be required as we do fallback to the Fedora license where it's not specified. I did work out that lklug isn't in the distro metadata (in /usr/share/app-info/xmls) in F24, weirdly. Looking at https://github.com/hughsie/createrepo_as_logs/blob/master/l/lklug-fonts.log that seems to suggest that we couldn't generate a preview for it. I guess that's the root cause.

Comment 4 Parag Nemade 2017-03-14 09:25:32 UTC
May I know if we can get any fix for this?

Comment 5 Parag Nemade 2017-03-20 15:10:41 UTC
No response provided.

Comment 6 Jens Petersen 2017-07-05 06:50:07 UTC
In F26 at least the license is presented as "Unknown".

Comment 7 Fedora End Of Life 2017-07-25 21:57:40 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 15:46:06 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.